<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd"
[
]
>

<hibernate-mapping default-lazy="false" default-cascade="save-update">
    <class name="gov.va.med.tfs.tfdm.DomainEntryPoint" table="DOMAIN_ENTRY_POINT" lazy="false">
        <id type="java.lang.Long" >
            <column name="DOMAIN_ENTRY_POINT_ID" />
 			<generator class="sequence">
				<param name="sequence">domain_entry_point_seq_id</param>
			</generator>
        </id>

		<property name="name" column="NAME" type="java.lang.String" />
		<property name="domain" column="DOMAIN" type="java.lang.String" />

<!--  for enums -->
<!-- 
		<property name="entryPoint">
			<column name="NAME"></column>
			<type name="org.hibernate.type.EnumType">
				<param name="enumClass">gov.va.med.tfs.tfdm.DomainEntryPoint</param>
				<param name="type">12</param>
			</type>
		</property>
 -->		
	</class>
	
	<query name="DomainEntryPointText">
		<![CDATA[
			from DomainEntryPoint dep
			where dep.name = :nameTxt
			and dep.domain = :domainTxt
	    ]]>
	</query>
	
</hibernate-mapping>
